#include <iostream>
using namespace std;
int main()
{
long long  n,k,s=0,b=0,w;
cin>>n;
cin>>k;
cout<<"\n";
long long a[n],t[n];
for(long long  i=0;i<n;i++){
    cin>>a[i];
    t[i]=a[i];
}
for(long long i=0;i<n;i++){
    for(long long c=i;c<n;c++){
        if(a[i]==t[c]){

            s=s+1;
            t[c]=0;


        }
    }
    if(s>=k){
    b=b+1;
    }
    s=0;
}
for(long long  i=0;i<n;i++){
    t[i]=a[i];
}
cout<<b<<"\n";
for(long long i=0;i<n;i++){
    for(long long c=i;c<n;c++){
        if(a[i]==t[c]){

            s=s+1;
            t[c]=0;


        }
    }
    if(s>=k){
    cout<<a[i]<<" ";
    }
    s=0;
}



    return 0;
}